Bug 437885 - php-cli does not provide php
php-cli does not provide php
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-17 17:27 EDT by Ed Marshall
Modified: 2008-08-21 14:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-21 14:06:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed Marshall 2008-03-17 17:27:55 EDT
The "php-cli" RPM provides all the functionality of the "php" RPM, but does so
via CGI/CLI/FastCGI. It should provide "php" so that RPMs such as "gallery2"
install without requiring an httpd-specific version of PHP (which in turn
requires "httpd"). Use case is for "lighttpd" users.
Comment 1 Bug Zapper 2008-05-14 02:40:06 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 2 Joe Orton 2008-05-28 05:50:51 EDT
I'm not convinced about this.  If lighttpd etc require a PHP CGI interface, they
should require php-cgi, not php, surely? 
Comment 3 David Nalley 2008-08-21 14:06:37 EDT
The information we've requested above is required in order
to review this problem report further and diagnose or fix the
issue if it is still present.  Since it has been thirty days or
more since we first requested additional information, we're assuming
the problem is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested,
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.